Annonce

#1 2022-09-28 22:59:47

Pierrot
Membre
Banlieue de TOULOUSE
2002-09-21
382

Changer de version PHP

Bonsoir,

j'utilise Joomla pour le site et depuis quelques jours j'obtiens ce message
Votre version de PHP, 7.4.30, ne reçoit en ce moment que des correctifs de sécurité du projet PHP. Cela signifie que votre version de PHP ne sera bientôt plus prise en charge. Nous vous recommandons de planifier la mise à niveau vers une nouvelle version de PHP avant d'atteindre la fin du support le 28/11/22. Joomla sera plus rapide et plus sûr si vous passez à une version plus récente de PHP. Merci de contacter votre hôte pour obtenir des instructions de mise à niveau.
Je passe à la version de PHP 8 ou 8.1 et là en entête de la galerie 14  lignes comme celle là s'affichent
Deprecated: strip_tags(): Passing null to parameter #1 ($string) of type string is deprecated in /home/users/p/pieds???/www/galerie/include/functions_html.inc.php on line 534
et en bas de la page
Fatal error: Uncaught TypeError: Unsupported operand types: string - int in /home/users/p/pieds???/www/galerie/include/template.class.php:1635 Stack trace: #0 /home/users/p/pied????/www/galerie/include/template.class.php(842): ScriptLoader->get_footer_scripts() #1 /home/users/p/pieds???/www/galerie/_data/templates_c/r6359m^a006d36bb97376553ffee51db4474c53f44b5a5a_0.file.footer.tpl.php(73): Template->func_get_combined_scripts(Array, Object(Smarty_Internal_Template)) #2 /home/users/p/pieds???/www/galerie/include/smarty/libs/sysplugins/smarty_template_resource_base.php(123): content_632b49a4b4f4a8_18180107(Object(Smarty_Internal_Template)) #3 /home/users/p/pied????/www/galerie/include/smarty/libs/sysplugins/smarty_template_compiled.php(114): Smarty_Template_Resource_Base->getRenderedTemplateCode(Object(Smarty_Internal_Template)) #4 /home/users/p/pieds???/www/galerie/include/smarty/libs/sysplugins/smarty_internal_template.php(216): Smarty_Template_Compiled->render(Object(Smarty_Internal_Template)) #5 /home/users4/p/pieds/www/galerie/include/smarty/libs/sysplugins/smarty_internal_templatebase.php(232): Smarty_Internal_Template->render(false, 0) #6 /home/users/p/pieds????/www/galerie/include/smarty/libs/sysplugins/smarty_internal_templatebase.php(116): Smarty_Internal_TemplateBase->_execute(Object(Smarty_Internal_Template), NULL, NULL, NULL, 0) #7 /home/users/p/pieds???/www/galerie/include/template.class.php(469): Smarty_Internal_TemplateBase->fetch('footer.tpl') #8 /home/users/p/pieds????/www/galerie/include/page_tail.php(93): Template->parse('tail') #9 /home/users/p/pieds???/www/galerie/index.php(358): include('/home/users/p/pieds????) #10 {main} thrown in /home/users/p/pieds???/www/galerie/include/template.class.php on line 1635
Que faire ?? merci
Je viens de fêter 20 ans  de mon inscription à  ce forum j'en reparlerais dans la rubrique dédiée

Version de Piwigo: dernière
Version de PHP: 7.4
Version de MySQL:
URL Piwigo: https://saint-jory-rando-nature.com

Dernière modification par Pierrot (2022-09-28 23:05:08)

Hors ligne

#2 2022-09-29 06:51:23

ddtddt
Équipe Piwigo
Quetigny (21) - France
2007-07-27
16338

Re: Changer de version PHP

Bonjour

La version 13 de piwigo sera compatible php 8


Vous aimez Piwigo alors n'hésitez pas à participer avec nous, plus d'infos sur la page "Contribuer à Piwigo". Si vous n'avez pas beaucoup de temps et que vous souhaitez nous soutenir vous pouvez aussi le faire par un don.

Hors ligne

#3 2022-09-29 09:14:15

Pierrot
Membre
Banlieue de TOULOUSE
2002-09-21
382

Re: Changer de version PHP

Bonjour,   
Merci

Hors ligne

#4 2022-10-14 17:34:39

Joel_C
Membre
Provence
2019-02-11
24

Re: Changer de version PHP

Donc, si j'ai bien compris, il vaut mieux mettre à jour d'abord Piwigo puis PHP


Piwigo 13.4.0
PHP: 8.1.7
MySQL: 10.3.27-MariaDB-1:10.3.27+maria~stretch-log [2022-12-21 14:14:57]
Bibliothèque graphique: ImageMagick 6.9.7-4

Hors ligne

#5 2022-10-14 18:14:57

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12590

Re: Changer de version PHP

Joel_C a écrit:

Donc, si j'ai bien compris, il vaut mieux mettre à jour d'abord Piwigo puis PHP

Oui, car faire tourner Piwigo 12 sur PHP 8.1, ça va être compliqué.


Les historiens ont établi que Pierrick était le premier utilisateur connu de Piwigo.

Hors ligne

#6 2022-10-16 11:39:42

Pierrot
Membre
Banlieue de TOULOUSE
2002-09-21
382

Re: Changer de version PHP

Bonjour,
c'est ce que j'ai fais et ça marche trés bien,. Bravo à toute l'équipe  et merci pour cette continuité.

Hors ligne

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2023 · Contact